Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.components.encoding
Class AbstractXMLEncoder

    java.lang.Object
      org.apache.axis.components.encoding.AbstractXMLEncoder

All Implemented Interfaces:
  XMLEncoder

public abstract class AbstractXMLEncoder
extends Object
implements XMLEncoder

Abstract class for XML String encoders.

The new encoding mechanism fixes the following bugs/issues:

http://nagoya.apache.org/bugzilla/show_bug.cgi?id=15133

http://nagoya.apache.org/bugzilla/show_bug.cgi?id=15494

http://nagoya.apache.org/bugzilla/show_bug.cgi?id=19327

Author:
  Jens Schumann, Davanum Srinivas

Constructor Summary
`AbstractXMLEncoder()`

Method Summary
`abstract void` | `appendEncoded(org.apache.axis.components.encoding.EncodedByteArray out, char c)`
`String` | `encode(String xmlString)` Encode a string
`abstract String` | `getEncoding()` gets the encoding supported by this encoder
`abstract boolean` | `needsEncoding(char c)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractXMLEncoder

    public AbstractXMLEncoder()

Method Detail

### encode

    public String encode(String xmlString)

  Encode a string

  Specified by:
    `encode` in interface `XMLEncoder`
  Parameters:
    `xmlString` - string to be encoded
  Returns:
    encoded string

### getEncoding

    public abstract String getEncoding()

  Description copied from interface: `XMLEncoder`
  gets the encoding supported by this encoder

  Specified by:
    `getEncoding` in interface `XMLEncoder`
  Returns:

### needsEncoding

    public abstract boolean needsEncoding(char c)

### appendEncoded

    public abstract void appendEncoded(org.apache.axis.components.encoding.EncodedByteArray out,
                                       char c)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.